Bug 1417853 (CVE-2016-10172) - CVE-2016-10172 wavpack: Heap out of bounds read in read_new_config_info / open_utils.c
Summary: CVE-2016-10172 wavpack: Heap out of bounds read in read_new_config_info / ope...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2016-10172
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1417860 1417861 1417862 1417863
Blocks: 1417854
TreeView+ depends on / blocked
 
Reported: 2017-01-31 10:06 UTC by Andrej Nemec
Modified: 2019-09-29 14:05 UTC (History)
5 users (show)

Fixed In Version: wavpack 5.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-01 09:04:00 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-31 10:06:50 UTC
A vulnerability was found in wavpack. There is a heap out of bounds read in read_new_config_info / open_utils.c. A maliciously crafted file could cause the application to crash.

Upstream bug:

https://sourceforge.net/p/wavpack/mailman/message/35561951/

Upstream patch:

https://github.com/dbry/WavPack/commit/4bc05fc490b66ef2d45b1de26abf1455b486b0dc

References:

http://seclists.org/oss-sec/2017/q1/221

Comment 1 Andrej Nemec 2017-01-31 10:32:01 UTC
Created mingw-wavpack tracking bugs for this issue:

Affects: epel-7 [bug 1417860]
Affects: fedora-all [bug 1417863]


Created wavpack tracking bugs for this issue:

Affects: epel-5 [bug 1417862]
Affects: fedora-all [bug 1417861]

Comment 2 Sergio Basto 2017-01-31 17:36:51 UTC
1 . I'm  not authorized to access bug #1417854.
2 . instead open 6 bugs can you resume what we need todo on Fedoras , I'm planing if I got time to update wavpack on rawhide for F26 . 

this are 4 cves ? CVE-2016-10169 CVE-2016-10170 CVE-2016-10171 CVE-2016-10172
but is all fix in same patch .

https://github.com/dbry/WavPack/commit/4bc05fc490b66ef2d45b1de26abf1455b486b0dc

Comment 3 Sergio Basto 2017-01-31 20:33:29 UTC
this patch is not applicable to the current version 4.80.0 [1] not even exist the function read_new_config_info only read_config_info and is quite different in
 src/open_utils.c 

https://apps.fedoraproject.org/packages/mingw-wavpack
https://apps.fedoraproject.org/packages/wavpack


Note You need to log in before you can comment on or make changes to this bug.